Bug 905375

Summary: CVE-2013-0333 rubygem-activesupport: json to yaml parsing [fedora-16]
Product: [Fedora] Fedora Reporter: Jan Lieskovsky <jlieskov>
Component: rubygem-activesupportAssignee: Vít Ondruch <vondruch>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 16CC: bkabrda, mastahnke, mmorsi, sseago, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-09 23:27:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 903440    

Description Jan Lieskovsky 2013-01-29 04:36:00 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-16 tracking bug for rubygem-activesupport: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-01-29 04:36:10 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=903440,905375
Comment 2 Fedora Update System 2013-01-29 07:19:48 EST
rubygem-activesupport-3.0.10-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-activesupport-3.0.10-6.fc16
Comment 3 Fedora Update System 2013-02-01 12:01:31 EST
Package rubygem-activesupport-3.0.10-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-activesupport-3.0.10-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1745/rubygem-activesupport-3.0.10-6.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-02-09 23:27:54 EST
rubygem-activesupport-3.0.10-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.